<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>TIML: timlCNNLinearParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIML
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">timlCNNLinearParams Struct Reference<div class="ingroups"><a class="el" href="group__cnn.html">cnn</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acd07cee7c3110f460541e4e1c073176a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNLinearParams.html#acd07cee7c3110f460541e4e1c073176a">dim</a></td></tr>
<tr class="separator:acd07cee7c3110f460541e4e1c073176a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13aaf42aad15b64b3ad50dbf039e2a1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNLinearParams.html#ae13aaf42aad15b64b3ad50dbf039e2a1">prevDim</a></td></tr>
<tr class="separator:ae13aaf42aad15b64b3ad50dbf039e2a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac81c95e04502ed04022767f312d1e022"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac81c95e04502ed04022767f312d1e022"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>weight</b></td></tr>
<tr class="separator:ac81c95e04502ed04022767f312d1e022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9b30273d15c5148f309e1dfa56b2cec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9b30273d15c5148f309e1dfa56b2cec"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>weightInc</b></td></tr>
<tr class="separator:aa9b30273d15c5148f309e1dfa56b2cec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab78b322518b85be1d4a451ce06f81eed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab78b322518b85be1d4a451ce06f81eed"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>weightGradAccum</b></td></tr>
<tr class="separator:ab78b322518b85be1d4a451ce06f81eed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00226f06faf8290c44cd2794526d21dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00226f06faf8290c44cd2794526d21dd"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>bias</b></td></tr>
<tr class="separator:a00226f06faf8290c44cd2794526d21dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a95e0a7fa146df7b962b3e6c4ef49c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a95e0a7fa146df7b962b3e6c4ef49c4"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>biasInc</b></td></tr>
<tr class="separator:a3a95e0a7fa146df7b962b3e6c4ef49c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a077929112b7d9e6a3179be1bfe2c1223"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a077929112b7d9e6a3179be1bfe2c1223"></a>
float *&#160;</td><td class="memItemRight" valign="bottom"><b>biasGradAccum</b></td></tr>
<tr class="separator:a077929112b7d9e6a3179be1bfe2c1223"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80c4d58ca4fe1c8ade864fb5fefd7f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab80c4d58ca4fe1c8ade864fb5fefd7f3"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>weightDecayFactor</b></td></tr>
<tr class="separator:ab80c4d58ca4fe1c8ade864fb5fefd7f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953e625ce545f72f5dafed22cb4b5a2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a953e625ce545f72f5dafed22cb4b5a2c"></a>
<a class="el" href="structtimlUtilInitializer.html">timlUtilInitializer</a>&#160;</td><td class="memItemRight" valign="bottom"><b>weightInit</b></td></tr>
<tr class="separator:a953e625ce545f72f5dafed22cb4b5a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cdd12028c4c7d1ea7551be21d318257"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cdd12028c4c7d1ea7551be21d318257"></a>
<a class="el" href="structtimlUtilInitializer.html">timlUtilInitializer</a>&#160;</td><td class="memItemRight" valign="bottom"><b>biasInit</b></td></tr>
<tr class="separator:a3cdd12028c4c7d1ea7551be21d318257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a306b366b63679d2d06abe22f95f348dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a306b366b63679d2d06abe22f95f348dd"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>weightLearningFactor</b></td></tr>
<tr class="separator:a306b366b63679d2d06abe22f95f348dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23304a0310f38b6d8f7039e1ea806528"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23304a0310f38b6d8f7039e1ea806528"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>biasLearningFactor</b></td></tr>
<tr class="separator:a23304a0310f38b6d8f7039e1ea806528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef1359b54369b95cd21ad069d3109d26"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtimlCNNLinearParams.html#aef1359b54369b95cd21ad069d3109d26">shared</a></td></tr>
<tr class="separator:aef1359b54369b95cd21ad069d3109d26"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="acd07cee7c3110f460541e4e1c073176a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNLinearParams::dim</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1d dimension of the layer </p>

</div>
</div>
<a class="anchor" id="ae13aaf42aad15b64b3ad50dbf039e2a1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int timlCNNLinearParams::prevDim</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1d dimension of the previous layer </p>

</div>
</div>
<a class="anchor" id="aef1359b54369b95cd21ad069d3109d26"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool timlCNNLinearParams::shared</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>if this layer shares the parameters from other layer </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="timlCNN_8h_source.html">timlCNN.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Mar 20 2015 11:26:08 for TIML by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
